import type { ApiResponse, PaginationParams, PaginationResponse } from '~/types/api'
// api/common.ts
import request from '~/utils/request'

export const commonApi = {
  // 上传文件
  uploadFile(file: File) {
    const formData = new FormData()
    formData.append('file', file)
    return request.post<ApiResponse<{ url: string }>>('/upload', formData, {
      headers: {
        'Content-Type': 'multipart/form-data',
      },
    })
  },

  // 获取配置信息
  getConfig() {
    return request.get<ApiResponse<Record<string, any>>>('/config')
  },

  // 获取用户字典
  dictType(query: any) {
    return request.get<ApiResponse<Record<string, any>>>(`/system/dict/data/type/${query.type}`)
  },
}
